Simulate Transfer Deposit

POST
/api/v1/transfers/{transferId}/sandbox/simulate-deposit

Simulate the incoming deposit for a committed sandbox Transfer.

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Path Parameters

transferId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Header Parameters

idempotency-key*string

Required for mutating calls. Use a V4 UUID. The server stores the first result for 24h and returns it on subsequent retries with the same key.

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json
  1. body

Response Body

Default Response

application/json
  1. response
transfer_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
simulation_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
scenario*string
deposit_status*string
Example Request
curl -X POST 'https://api.sandbox.stables.money/api/v1/transfers/497f6eca-6276-4993-bfeb-53cbbbba6f08/sandbox/simulate-deposit' \  -H 'idempotency-key: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "transfer_id": "d4a2d8dd-7def-4545-a062-761683b9aa05",  "simulation_id": "df0e679f-936d-49a6-bcd5-04f5809bd3f2",  "scenario": "completed",  "deposit_status": "completed"}

Sandbox only. This endpoint does not exist in production.